%define	major 0
%define libname	%mklibname svncpp %{major}
%define oldlibname %mklibname rapidsvn 0

Summary:	A cross-platform GUI for the Subversion concurrent versioning system
Name:		rapidsvn
Version:	0.9.4
Release:	%mkrel 2
License:	LGPL
Group:		Development/Other
URL:		http://rapidsvn.tigris.org
Source0:	http://www.rapidsvn.org/download/%{name}-%{version}.tar.bz2
Source1:	rapidsvn_logo.png
Patch0:		wx28.diff
BuildRequires:	apache-devel >= 2.0.54
BuildRequires:	doxygen
BuildRequires:	subversion-devel >= 1.2
BuildRequires:	subversion >= 1.2
BuildRequires:	libtool >= 1.4.2
BuildRequires:	wxGTK2.8-devel
BuildRequires:	libxslt-proc
BuildRequires:	db4-devel
BuildRequires:	docbook-style-xsl
BuildPreReq:    libneon-devel >= 0.24.7
BuildRequires:	autoconf2.5 >= 2.53
BuildRequires:	automake1.7
BuildRequires:	ImageMagick
Requires(post): %{libname} = %{version}
Requires(preun): %{libname} = %{version}
Requires:	subversion
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
RapidSVN is a platform independent GUI client for the Subversion
revision system written in C++ using the wxWindows framework.

%package -n	%{libname}
Summary:	RapidSVN shared SvnCpp C++ API libraries
Group:          System/Libraries
Provides:	%{oldlibname}
Obsoletes:	%{oldlibname}

%description -n	%{libname}
RapidSVN is a platform independent GUI client for the Subversion
revision system written in C++ using the wxWindows framework.

This package contains shared SvnCpp C++ API libraries for
RapidSVN.

%package -n	%{libname}-devel
Summary:	RapidSVN SvnCpp C++ API development libraries
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	libsvncpp-devel = %{version}
Provides:	%{oldlibname}-devel
Obsoletes:	%{oldlibname}-devel

%description -n	%{libname}-devel
As part of the RapidSVN effort it became clear that it would make
the code easier to update and manage if the Subversion client C
API were wrapped in C++. This is where SvnCpp comes from. Right
now it has the following aspects of the C API have been
abstracted: authentication, logging, status, notification, and
properties. SvnCpp should provide an object-oriented programming
interface to any project that uses C++ or a SWIG-compatible
language like Python or Java. 

%prep

%setup -q
%patch0

cp %{SOURCE1} rapidsvn_logo.png

%build
export WANT_AUTOCONF_2_5="1"
libtoolize --copy --force && aclocal-1.7 && automake-1.7 --add-missing --foreign && autoconf

if [ -x %{_bindir}/apr-config ]; then APR=%{_bindir}/apr-config; fi
if [ -x %{_bindir}/apu-config ]; then APU=%{_bindir}/apu-config; fi

if [ -x %{_bindir}/apr-1-config ]; then APR=%{_bindir}/apr-1-config; fi
if [ -x %{_bindir}/apu-1-config ]; then APU=%{_bindir}/apu-1-config; fi

%configure2_5x \
    --enable-shared \
    --with-svn-include=%{_includedir} \
    --with-svn-lib=%{_libdir} \
    --with-xsltproc=%{_bindir}/xsltproc \
    --disable-no-exceptions \
    --with-apr-config=$APR \
    --with-apu-config=$APU

%make

%install
%{__rm} -rf %{buildroot}

%makeinstall_std


# Mandriva Icons
install -d %{buildroot}%{_iconsdir}
install -d %{buildroot}%{_miconsdir}
install -d %{buildroot}%{_liconsdir}

convert rapidsvn_logo.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert rapidsvn_logo.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png
convert rapidsvn_logo.png -resize 48x48 %{buildroot}%{_liconsdir}/%{name}.png

# Mandriva Menus
%{__install} -d %{buildroot}/%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{name}" \
title="RapidSVN" \
longtitle="GUI for Subversion" \
needs="x11" \
icon="%{name}.png" \
section="Applications/Development/Tools" \
xdg=true
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=RapidSVN
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Development-Tools;Development;RevisionControl;
Encoding=UTF-8
EOF

%{__mv} doc/svncpp/html .

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc html AUTHORS ChangeLog INSTALL NEWS README
%{_bindir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/svncpp
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Wed Jan 24 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.4-2mdv2007.0
+ Revision: 113060
- build against wxGTK2.8 (upstream patch for this)

* Mon Dec 11 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.4-1mdv2007.1
+ Revision: 94562
- New version 0.9.4

* Tue Aug 29 2006 Andreas Hasenack <andreas@mandriva.com> 0.9.3-0.r7466.3mdv2007.0
+ Revision: 58732
- bump release

* Tue Aug 29 2006 Andreas Hasenack <andreas@mandriva.com> 0.9.3-0.r7466.2mdv2007.0
+ Revision: 58726
- added docbook-style-xsl to buildrequires
- Import rapidsvn



* Sun Aug 27 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.3-0.r7466.2mdv2007.0
- xdg menu

* Thu Jun 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.3-0.r7466.1mdv2007.0
- use a snap (r7466)

* Mon May 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.2-1mdk
- 0.9.2 (Major bugfixes)
- use their logo as the icon
- make it backportable (arp,apr-util)

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-2mdk
- make it buildrequire subversion so that the libsvn package is pulled in

* Sat Feb 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.1-1mdk
- 0.9.1
- build it against wxGTK2.6

* Mon Feb 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-4mdk
- actually make it compile, he he...

* Mon Feb 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-3mdk
- rebuild

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-2mdk
- rebuilt against openssl-0.9.8a

* Wed Oct 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-1mdk
- 0.9.0 (Major feature enhancements)
- fix deps

* Tue Aug 30 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-2mdk
- rebuilt against new openldap-2.3.6 libs

* Sat May 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-1mdk
- 0.8.0
- fix deps
- use new rpm-4.4.x pre,post magic

* Tue Feb 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.7.2-3mdk
- rebuild for ldap2.2_7

* Sat Feb 05 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.7.2-2mdk
- rebuilt against new openldap libs
- fix deps

* Mon Jan 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2
- fix deps

* Sat Jan 01 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1
- misc spec file fixes

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.6.0-2mdk
- make it compile on 10.0

* Wed Jul 28 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.6.0-1mdk
- 0.6.0
- reenable libtoolize

* Mon Feb 23 2004 Ben Reser <ben@reser.org> 0.5.0-1mdk
- 0.5.0 which works with subversion 0.37 and newer (including 1.0.0)
- Fix menu section.
- Drop patch for building against subversion 0.29.
- Change the name of the lib package to match the libname.

* Wed Sep 10 2003 Ben Reser <ben@reser.org> 0.3.0-2mdk
- patch to build against subversion 0.29 (by Martin Furter)
- macroization
- Drop invalid requires on apache2_mod_dav_svn, the server
  really doesn't have to be on the same machine and it can
  use file:// urls to access a local repository.
- BuildRequire db4-devel, neon-devel
- Clean out majors out of BuildRequires for future ease of building...
- Drop prereq on libwxgtk2.5, automatic library stuff should handle it.

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.3.0-1mdk
- used parts of the spec file by David Summers
- initial cooker contrib
